<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [checkLogin]="isLogin" [default]="navbarMode"></navbar-app>
<header
  dir="rtl"
  data-aos="fade-right"
  data-aos-duration="500"
  data-aos-offset="0"
>
  <div class="cover">
    <img
      [src]="
        userProfileData.coverImage != ''
          ? imageUrl + userProfileData.coverImage
          : imageUrl + defaultCoverImage
      "
      alt=""
    />
    <div class="detail">
      <div class="profile-img">
        <img
          [src]="
            userProfileData.profileImage != ''
              ? imageUrl + userProfileData.profileImage
              : imageUrl + defaultProfileImage
          "
          alt=""
        />
      </div>
      <div class="name">
        <p>{{ userProfileData.name }}</p>
        <p>
          {{ userProfileData.educationDegree }} -
          {{ userProfileFullData.field }}
        </p>
      </div>
    </div>
  </div>
</header>

<div class="body" dir="rtl">
  <div
    class="tab-box"
    data-aos="fade-left"
    data-aos-duration="500"
    data-aos-offset="0"
  >
    <div class="tab" (click)="changeTab('userData')">
      <p role="home" class="active">اطلاعات کاربر</p>
    </div>

    <div class="tab" (click)="changeTab('followedUnions')">
      <p role="union">انجمن های دنبال شده</p>
    </div>

    <div class="tab" (click)="changeTab('followedProfessor')">
      <p role="professor">اساتید دنبال شده</p>
    </div>

    <div class="tab" (click)="changeTab('followedStartup')">
      <p role="startup">استارتاپ های دنبال شده</p>
    </div>
  </div>
  <div
    class="content-box"
    data-aos="fade-right"
    data-aos-duration="500"
    data-aos-offset="0"
  >
    <div
      class="content content-active"
      id="home"
      *ngIf="tabValue == 'userData'"
    >
      <app-profile-home [data]="userProfileFullData"></app-profile-home>
    </div>
    <div class="content" id="union" *ngIf="tabValue == 'followedUnions'">
      <app-profile-followed-union></app-profile-followed-union>
    </div>
    <div class="content" id="professor" *ngIf="tabValue == 'followedProfessor'">
      <app-profile-followed-professor></app-profile-followed-professor>
    </div>
    <div class="content" id="startup" *ngIf="tabValue == 'followedStartup'">
      <app-profile-followed-startup></app-profile-followed-startup>
    </div>
  </div>
</div>
